Page MenuHomePhabricator

Create a fonts CDN for use on Tool Labs
Closed, ResolvedPublic

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added a project: Toolforge.
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptAug 24 2015, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We basically need to run a copy of http://fontcdn.org/

With a caching proxy back to Google CDN even maybe, so we get all the features.

Sitic added a subscriber: Sitic.Aug 24 2015, 2:48 PM
valhallasw triaged this task as Low priority.Oct 4 2015, 11:41 AM
valhallasw moved this task from Triage to Backlog on the Toolforge board.
valhallasw added a subscriber: valhallasw.

A while ago I wrote this for another project I was working on, might have some use here:
{P4911}

I was just working on a log.io interface and had to remove all the google fonts. It looks so much worse :/

I'm willing to take this task if setting up a caching http proxy to https://fonts.googleapis.com and https://fonts.gstatic.com shall be an exception to Labs ToU #5.

bd808 added a subscriber: bd808.Jun 8 2017, 3:32 PM

I was just working on a log.io interface and had to remove all the google fonts. It looks so much worse :/
I'm willing to take this task if setting up a caching http proxy to https://fonts.googleapis.com and https://fonts.gstatic.com shall be an exception to Labs ToU #5.

Having a caching proxy for things like fonts would not be a violation of "Using Wikimedia Labs as a network proxy" in my opinion. That rule is about making an open proxy rather than a focused cache to improve visitor privacy.

We should just setup something similar to the https://cdnjs.com/ mirror that we run at https://tools.wmflabs.org/cdnjs/. The steps taken to set that up are documented in part at T96799: Provide a clone of cdnjs for toollabs users. The hard part as always is promoting the use of the new service once it has been setup.

Change 357878 had a related patch set uploaded (by Zhuyifei1999; owner: Zhuyifei1999):
[operations/puppet@production] tools-static: add /fontcdn/ to reverse-proxy to Google Fonts

https://gerrit.wikimedia.org/r/357878

Change 357878 merged by Rush:
[operations/puppet@production] tools-static: add /fontcdn/ to reverse-proxy to Google Fonts

https://gerrit.wikimedia.org/r/357878

Change 368213 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wmcs: Update tools-static reverse proxy rules for Google fonts

https://gerrit.wikimedia.org/r/368213

Change 368213 merged by Rush:
[operations/puppet@production] wmcs: Update tools-static reverse proxy rules for Google fonts

https://gerrit.wikimedia.org/r/368213

Change 368226 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wmcs: Fix double Access-Control-Allow-Origin headers for tools-static

https://gerrit.wikimedia.org/r/368226

Change 368226 merged by Rush:
[operations/puppet@production] wmcs: Fix double Access-Control-Allow-Origin headers for tools-static

https://gerrit.wikimedia.org/r/368226

Mirroring the fontcdn web interface repo to R2118

zhuyifei1999 closed this task as Resolved.Aug 2 2017, 2:23 PM